#!/bin/sh

# Verification runs
cd ../CPAchecker

# LA verification
rm -rf ../experiments/LA/
rm -rf ../CPAchecker/output/*.files/
scripts/benchmark.py ../experiments/test-sets/cpachecker-predicate.xml -o ../experiments/LA/
mv ../CPAchecker/output/*.files/ ../experiments/LA/*.logfiles/

# BP verification
rm -rf ../experiments/BP/
rm -rf ../CPAchecker/output/*.files/
scripts/benchmark.py ../experiments/test-sets/cpachecker-predicate-bitprecise.xml -o ../experiments/BP/
mv ../CPAchecker/output/*.files/ ../experiments/BP/*.logfiles/

# UltimateAutomizer verification
rm -rf ../experiments/UltimateAutomizer/
rm -rf ../UltimateAutomizer/*.files/
scripts/benchmark.py ../experiments/test-sets/ultimateautomizer.xml -o ../experiments/UltimateAutomizer/
mv ../UltimateAutomizer/*.files/ ../experiments/UltimateAutomizer/*.logfiles/

# Generate validation test-sets from templates
cd ../experiments

# LA-LA validation
java -jar ReverificationBenchmarkGenerator.jar ../CPAchecker LA/*.Predicate.xml LA/*.logfiles test-sets/cpachecker-predicate-testify.xml
mv test-sets/reverification* test-sets/LA-LA.xml

# LA-BP validation
java -jar ReverificationBenchmarkGenerator.jar ../CPAchecker LA/*.Predicate.xml LA/*.logfiles test-sets/cpachecker-predicate-bitprecise-testify.xml
mv test-sets/reverification* test-sets/LA-BP.xml

# LA-UltimateAutomizer validation
java -jar ReverificationBenchmarkGenerator.jar ../CPAchecker LA/*.Predicate.xml LA/*.logfiles test-sets/ultimateautomizer-testify.xml
mv test-sets/reverification* test-sets/LA-UltimateAutomizer.xml

# UltimateAutomizer-LA validation
java -jar ReverificationBenchmarkGenerator.jar ../CPAchecker UltimateAutomizer/*.UltimateAutomizer.xml UltimateAutomizer/*.logfiles test-sets/cpachecker-predicate-testify.xml
mv test-sets/reverification* test-sets/UltimateAutomizer-LA.xml

# UltimateAutomizer-UltimateAutomizer validation
java -jar ReverificationBenchmarkGenerator.jar ../CPAchecker UltimateAutomizer/*.UltimateAutomizer.xml UltimateAutomizer/*.logfiles test-sets/ultimateautomizer-testify.xml
mv test-sets/reverification* test-sets/UltimateAutomizer-UltimateAutomizer.xml

# Validation runs
cd ../CPAchecker

# LA-LA validation
rm -rf ../experiments/LA-LA/
scripts/benchmark.py -o ../experiments/LA-LA/ ../experiments/test-sets/LA-LA.xml

# LA-BP validation
rm -rf ../experiments/LA-BP/
scripts/benchmark.py -o ../experiments/LA-BP/ ../experiments/test-sets/LA-BP.xml

# LA-UltimateAutomizer validation
rm -rf ../experiments/LA-UltimateAutomizer/
scripts/benchmark.py -o ../experiments/LA-UltimateAutomizer/ ../experiments/test-sets/LA-UltimateAutomizer.xml

# UltimateAutomizer-LA validation
rm -rf ../experiments/UltimateAutomizer-LA/
scripts/benchmark.py -o ../experiments/UltimateAutomizer-LA/ ../experiments/test-sets/UltimateAutomizer-LA.xml

# UltimateAutomizer-UltimateAutomizer validation
rm -rf ../experiments/UltimateAutomizer-UltimateAutomizer/
scripts/benchmark.py -o ../experiments/UltimateAutomizer-UltimateAutomizer/ ../experiments/test-sets/UltimateAutomizer-UltimateAutomizer.xml


# Copy relevant XML files to experiments folder
cd ../experiments

cp LA/*.Predicate.xml LA.xml
cp LA/*.Predicate.DeviceDrivers.xml LA.DeviceDrivers.xml
cp BP/*.Predicate-bitprecise.DeviceDrivers.xml BP.DeviceDrivers.xml
cp LA-LA/*.Predicate-testification.xml LA-LA.xml
cp LA-LA/*.Predicate-testification.DeviceDrivers.xml LA-LA.DeviceDrivers.xml
cp LA-BP/*.Predicate-bitprecise-testification.xml LA-BP.xml
cp LA-BP/*.Predicate-bitprecise-testification.DeviceDrivers.xml LA-BP.DeviceDrivers.xml
cp UltimateAutomizer/*.UltimateAutomizer.xml UltimateAutomizer.xml
cp LA-UltimateAutomizer/*.Reverification.xml LA-UltimateAutomizer.xml
cp UltimateAutomizer-LA/*.Predicate-testification.xml UltimateAutomizer-LA.xml
cp UltimateAutomizer-UltimateAutomizer/*.Reverification.xml UltimateAutomizer-UltimateAutomizer.xml

